Bug 251476 - Never resolves package dependencies
Summary: Never resolves package dependencies
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-language   
(Show other bugs)
Version: 8
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Liang Zhang
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-08-09 10:48 UTC by Tim Waugh
Modified: 2015-04-07 03:06 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-29 10:23:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tim Waugh 2007-08-09 10:48:49 UTC
Description of problem:
When changing the system language from "English (USA)" to "English (Great
Britain)", I am asked whether I want to install "British".  When I agree to, I
see a 'Resolving dependencies for updates' dialog, but the progress bar shows
progress.

Version-Release number of selected component (if applicable):
system-config-language-1.2.6-1.fc8

How reproducible:
100%

Steps to Reproduce:
1.Clean install of F8t1.  Update to rawhide.
2.Change system language to "English (Great Britain)".
3.Agree to install packages.

Comment 1 Liang Zhang 2007-08-13 01:34:59 UTC
It can resolve package dependencies before s-c-language starts to install new
packages.
It doesn't show the progress bar.

Comment 2 Tim Waugh 2007-08-14 12:00:07 UTC
With system-config-language-1.2.7-1.fc8 I get this traceback in .xsession-errors:

Traceback (most recent call last):
  File "/usr/share/system-config-language/language_gui.py", line 171, in okClicked
    self.apply()
  File "/usr/share/system-config-language/language_gui.py", line 211, in apply
    install.install_language (self.mainWindow, grpid)   
  File "/usr/share/system-config-language/gui_install.py", line 380, in
install_language
    self.checkDeps(mainWindow)
  File "/usr/share/system-config-language/gui_install.py", line 125, in checkDeps
    (result, msgs) = self.buildTransaction()
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 540, in
buildTransaction
    (rescode, restring) = self.resolveDeps()
  File "/usr/lib/python2.5/site-packages/yum/depsolve.py", line 820, in resolveDeps
    if self.dsCallback: self.dsCallback.tscheck()
  File "/usr/share/system-config-language/gui_install.py", line 99, in tscheck
    self.incr = (1.0 / num) * ((1.0 - self.pbar.get_fraction()) / 2)
ZeroDivisionError: float division


Comment 3 Liang Zhang 2007-08-20 01:54:17 UTC
I tried to test these steps some times as you said, but it always is OK, and it
can install british-support  correctly. I can not see the below information in
the Comment #2.
I think it probably is the problem of Yum in your machine. 

Comment 4 Tim Waugh 2007-08-29 10:23:32 UTC
It seems to work now anyway.


Note You need to log in before you can comment on or make changes to this bug.